import { HttpStatus, HttpException } from '@nestjs/common';
import { EstadoProyectoService } from './estado-proyecto.service';
import { CreateEstadoProyectoDto } from './dto/create-estado-proyecto.dto';
import { UpdateEstadoProyectoDto } from './dto/update-estado-proyecto.dto';
export declare class EstadoProyectoController {
    private estadoProyectoService;
    constructor(estadoProyectoService: EstadoProyectoService);
    getVistaAll(): Promise<{
        statusCode: HttpStatus;
        message: string;
        data: HttpException | {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmuebleEstados: import("../inmueble-estados/inmueble-estados.entity").InmuebleEstados[];
        }[];
    }>;
    getEstadoProyecto(page: number, limit: number): Promise<{
        statusCode: HttpStatus;
        message: string;
        data: HttpException | {
            data: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmuebleEstados: import("../inmueble-estados/inmueble-estados.entity").InmuebleEstados[];
            }[];
            meta: {
                total: number;
                page: number;
                limit: number;
                totalPages: number;
            };
        };
    }>;
    getUserSearch(page: number, limit: number, body: Record<string, any>): Promise<{
        data: HttpException | {
            data: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmuebleEstados: import("../inmueble-estados/inmueble-estados.entity").InmuebleEstados[];
            }[];
            meta: {
                total: number;
                page: number;
                limit: number;
                totalPages: number;
            };
        };
    }>;
    getEstadoProyectoById(id: number): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        id: number;
        nombre: string;
        deleted_at: Date;
        inmuebleEstados: import("../inmueble-estados/inmueble-estados.entity").InmuebleEstados[];
    }>;
    createEstadoProyecto(newEstadoProyecto: CreateEstadoProyectoDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmuebleEstados: import("../inmueble-estados/inmueble-estados.entity").InmuebleEstados[];
        };
        status: HttpStatus;
        message: string;
    }>;
    updateEstadoProyecto(id: number, estadoProyecto: UpdateEstadoProyectoDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmuebleEstados: import("../inmueble-estados/inmueble-estados.entity").InmuebleEstados[];
        };
        status: HttpStatus;
        message: string;
    }>;
    deleteEstadoProyecto(id: number): Promise<HttpException | import("typeorm").UpdateResult>;
}
